お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2019-02-01 23:29:08

takahashi86
メンバ
登録日: 2015-05-22

EOLの14.10をサポート内のLTSバージョンにアップグレードについて

いつもお世話になっております。

【障がい部分】(不明な所です)
かならずグラフィックドライバーの問題が起こります。最終的に16.04でAMDグラフィックカードドライバが効かなくなります。解決できません。
ProprietaryかXorgオープンソースの切替が分かりません。
16.04からはProprietary→オープンソース版に切り換える記事が見受けられます。
15.10のGUIでアップグレードユーティリティで追加ドライバー/オープンソースのラジオボタンに切り換えてもブラックアウトのままで、
どうしても16.04にするとXウィンドウが失敗します。
どのような考え方で解決できますでしょうか?
よろしくお願いいたします。


【作業工程】
ずっと課題だった初めてubuntuでファイルサーバーを作ったバージョンが14.10で、LTSとは何かも知らずに使い続けてEOLになってしまいました。
こちらの板にもその旨ご相談させていただきましたが、その様なケースの場合、/etc/apt/sources.listのripository urlを"old-release"と言うrepositoryからダウンロードしてアップグレードしたのを見て、同じ様に実行しました。

開始前 14.10使用時グラボ NVIDIAのHDD→ AMD RADEON HD8490のマシンに換装、GRUBメニューからブラックアウトしてCUIの状態です。

sshが稼働していましたので、以下SSHクライアントからの実行になります。

①作業 utopic をすべてvividに置換して apt-get update apt-get dist-upgrade
結果  15.04にアップグレード

②vividをwilyに置換して実行
vivid→wily sources.list

deb http://old-releases.ubuntu.com/ubuntu wily-backports restricted main
deb http://old-releases.ubuntu.com/ubuntu wily-proposed restricted main
deb http://old-releases.ubuntu.com/ubuntu wily-updates restricted main universe
deb http://old-releases.ubuntu.com/ubuntu/ wily-security restricted main universe
deb http://old-releases.ubuntu.com/ubuntu wily universe
deb http://old-releases.ubuntu.com/ubuntu/ wily main restricted

結果 15.10にアップグレード

AMDドライバー Proprietary版をインストール sudo dpkg -i fglrx-core〜4ファイル 成功

画面が正常になりました。

ここまで/etc/X11/xorg.conf には何も書き込んでいません。

↓16.04LTS  sources.listを、xenial(サポート内repository)に入れ替えてapt-get update apt-get dist-upgrade
③wily→xenialにアップグレード完了
ここで画面がブラックアウトします。

【引用①】https://gihyo.jp/admin/serial/01/ubuntu-recipe/0471
『Ubuntu Weekly Recipe』「第471回 Ubuntu 16.04 LTSでAMDGPU-PROドライバーを使用する」2017年 あわしろいくや 著

引用①には、(ubuntu16.04LTS AMDGPU-PROドライバー…)が対応しているとの記事がありましたので、
インストールしたのですが、問題は解決しませんでした。

# lspci | grep VGA
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos XTX [Radeon HD 8490 / R5 235X OEM]

/var/log/Xorg.0.log

[    26.865] (EE) open /dev/dri/card0: No such file or directory

[    26.839] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    26.839]    Entry deleted from font path.
[    26.839] (WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
[    26.839]    Entry deleted from font path.
[    26.839] (WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
[    26.839]    Entry deleted from font path.
[    26.839] (WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
[    26.839]    Entry deleted from font path.
[    26.839] (WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
[    26.839]    Entry deleted from font path.


open /dev/dri/card0 /usr/share/fonts/X11/cyrillic などありますが対処の仕方が分かりません。

以上
現在、14.10のバックアップから再度クローンを作ってもう一度トライしようと思っております。

オフライン

 

#2 2019-02-02 12:08:10

takahashi86
メンバ
登録日: 2015-05-22

Re: EOLの14.10をサポート内のLTSバージョンにアップグレードについて

投稿を一部訂正いたします。
①作業 utopic をすべてvividに置換して apt-get update apt-get dist-upgrade

①作業 utopic をすべてvividに置換して
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

途中upgradeを入れるの忘れました。訂正いたします。

オフライン

 

#3 2019-02-02 13:36:35

takahashi86
メンバ
登録日: 2015-05-22

Re: EOLの14.10をサポート内のLTSバージョンにアップグレードについて

皆様

自己解決いたしましたのでご報告します。
【参照URL】Ubuntu is running in low graphics mode after installing ATI driver
https://stackoverflow.com/questions/18642127/ubuntu-is-running-in-low-graphics-mode-after-installing-ati-driver

[The System is Low-graphics mode]

CUIログイン ALT+F1 or Ctrl + ALT +F1

sudo apt-get update [sources.listはサポート外はold-release]

sudo apt-get -d install --reinstall gdm

sudo apt-get remove --purge gdm

sudo apt-get install gdm

sudo reboot

で画面表示する事ができました。
以上で終了となります。

オフライン

 

#4 2019-02-04 11:09:04

takahashi86
メンバ
登録日: 2015-05-22

Re: EOLの14.10をサポート内のLTSバージョンにアップグレードについて

お世話になります。
16.04LTS
アップグレード関連での追記となります。

14.10から16.04までアップグレードできましたが、
アプリで継続してそのまま使えたのはSSHサーバーとSAMBAサーバー、それからアカウント、グループに関するものです。
AFP(Netatalk)はスタート出来ない状態になりました。
これは再度ダウンロードして設置すればOKと思います。

もともと14.10の時、NVIDIAでインストしましたので、AMDに換装と言う事になります。

AMDの古いGPUの場合、プロプライエタリドライバが無いため、16.04ではオープンソースを使うと言う事ですので、
grubのxorg.confもそのままで繋ぐと、GPUが正しく認識せずシステム設定/詳細を確認するとllvmpipeという名称にかわり解像度も正しく認識せず1600×1200だけしか表示しませでした。

グラボを交換またアップグレードによるドライバへの認識は、xorg.confに/usr/share/X11/xorg.conf.d/内の必要なconfのテキストをxorg.conf内にコピペする必要があります。
この時、xrog.conf.d/*.confは一切変更なしです。

sudo reboot をするとAMDの名称はシステムに認識され、解像度もいくつか選択出来る様になりました。

オフライン

 

Board footer

Powered by FluxBB